package com.fjhx.base;

import cn.hutool.http.HttpStatus;
import lombok.Data;

/**
 * 统一返回结果的类
 */
@Data
public class R {

    // 是否成功
    private Boolean success;

    // 返回码
    private Integer code;

    // 返回消息
    private String message;

    // 返回数据
    private Object data;

    // 成功
    public static R ok() {
        R r = new R();
        r.setSuccess(true);
        r.setCode(HttpStatus.HTTP_OK);
        r.setMessage("成功");
        return r;
    }

    // 成功
    public static R ok(Object obj) {
        R r = ok();
        r.data = obj;
        return r;
    }

    // 失败
    public static R error(String errorMsg) {
        R r = new R();
        r.setSuccess(false);
        r.setCode(HttpStatus.HTTP_BAD_REQUEST);
        r.setMessage(errorMsg);
        return r;
    }

    // 失败
    public static R error(Integer errorCode, String errorMsg) {
        R r = new R();
        r.setSuccess(false);
        r.setCode(errorCode);
        r.setMessage(errorMsg);
        return r;
    }

}
