package com.fjhx.config.exception;

import cn.hutool.http.HttpStatus;
import lombok.Getter;

/**
 * 自定义异常
 */
@Getter
public class ServiceException extends RuntimeException {

    private final Integer errorCode;

    private final String errorMsg;

    // 传入业务异常说明
    public ServiceException(String errorMsg) {
        super(errorMsg);
        this.errorCode = HttpStatus.HTTP_BAD_REQUEST;
        this.errorMsg = errorMsg;
    }

    // 传入业务异常说明
    public ServiceException(int errorCode, String errorMsg) {
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }

}
