package com.fjhx.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.R;
import com.fjhx.entity.EmailMessageSend;
import com.fjhx.entity.EmailMessageSendAttachment;
import com.fjhx.entity.EmailMessageSendReceive;
import com.fjhx.service.IEmailMessageSendAttachmentService;
import com.fjhx.service.IEmailMessageSendContentService;
import com.fjhx.service.IEmailMessageSendReceiveService;
import com.fjhx.service.IEmailMessageSendService;
import com.fjhx.vo.GetEmailMessagePageVo;
import com.fjhx.vo.SubmitVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@RestController
@RequestMapping("/emailMessageSend")
public class EmailMessageSendController {

    @Autowired
    private IEmailMessageSendService emailMessageSendService;

    @Autowired
    private IEmailMessageSendContentService emailMessageSendContentService;

    @Autowired
    private IEmailMessageSendAttachmentService emailMessageSendAttachmentService;

    @Autowired
    private IEmailMessageSendReceiveService emailMessageSendReceiveService;

    /**
     * 发送邮件
     */
    @PostMapping("send")
    public R send(@RequestBody SubmitVo submitVo) {
        emailMessageSendService.send(submitVo);
        return R.ok();
    }

    /**
     * 获取邮件发送分页信息
     */
    @GetMapping("/page")
    public R page(GetEmailMessagePageVo vo) {
        Page<EmailMessageSend> result = emailMessageSendService.getPage(vo);
        return R.ok(result);
    }

    /**
     * 删除邮件
     */
    @GetMapping("/delete")
    public R delete(@RequestParam("messageSendId") Long messageSendId) {
        emailMessageSendService.delete(messageSendId);
        return R.ok();
    }

    /**
     * 获取邮件正文
     */
    @GetMapping("/content")
    public R content(@RequestParam("messageSendId") Long messageSendId) {
        String result = emailMessageSendContentService.getContent(messageSendId);
        return R.ok(result);
    }

    /**
     * 邮件附件列表
     */
    @GetMapping("/attachmentList")
    public R attachmentList(@RequestParam("messageSendId") String messageSendId) {
        List<EmailMessageSendAttachment> result = emailMessageSendAttachmentService.getAttachmentList(messageSendId);
        return R.ok(result);
    }

    /**
     * 邮件接收人列表
     */
    @GetMapping("/receiveList")
    public R receiveList(@RequestParam("messageSendId") String messageSendId) {
        List<EmailMessageSendReceive> result = emailMessageSendReceiveService.getReceiveList(messageSendId);
        return R.ok(result);
    }

}
