package com.fjhx.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class MessageVo {

    private Integer total;

    private Integer page;

    private Integer pages;

    private List<MessagesDTO> messages;

    @Data
    public static class MessagesDTO {

        /**
         * 邮件id
         */
        private String id;

        /**
         * 发件时间
         */
        private Date date;

        /**
         * 是否未读
         */
        private Boolean unseen;

        /**
         * 是否旗标
         */
        private Boolean flagged;

        /**
         * 邮件标题
         */
        private String subject;

        /**
         * 发件人
         */
        private ToDTO from;

        /**
         * 收件人
         */
        private List<ToDTO> to;

        /**
         * 抄送人
         */
        private List<ToDTO> cc;

        /**
         * 密送人
         */
        private List<ToDTO> bcc;

        /**
         * 附件列表
         */
        private List<AttachmentsDTO> attachments;

        @Data
        public static class ToDTO {
            private String name;
            private String address;
        }

        @Data
        public static class AttachmentsDTO {
            private String id;
            private String contentType;
            private Integer encodedSize;
            private String filename;
            private Boolean embedded;
            private Boolean inline;
        }

    }

}
